--[[ GAME ]]--

local st = {}

function st:enter(_)
	if DEBUG == true then print('Enter GAME') end
end

function st:update(dt)
	PERFORMANCEGRAPH:preUpdate()
	PERFORMANCEGRAPH:postUpdate()
end

function st:draw()
	PERFORMANCEGRAPH:preDraw()
	love.graphics.print("State: GAME", 50, LG.getHeight() - 50)
	love.graphics.print("Press 'M' to return to menu", LG.getWidth()/2 - 85, LG.getHeight() - 115)
	love.graphics.draw(IMAGE.hamster, (LG.getWidth() - IMAGE.hamster:getWidth()*3)/2, (LG.getHeight() - IMAGE.hamster:getHeight()*3)/2, 0, 3, 3)
	PERFORMANCEGRAPH:postDraw()
end

function st:keypressed(key)
end

function st:keyreleased(key)
	if key == 'escape' then
		love.event.quit()
	end
	
	if key == 'm' then
		--love.audio.newSource(SOUND.zap):play()
		GS.switch(STATE.MENU)
	end
end

function st:leave()
	if DEBUG == true then print('Leave GAME') end
end

return st
